Kling O3 Elements
curl --request POST \
--url https://api2.radinai.com/v2/generation/kling-o3-elements \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"prompt": "<your-prompt>",
"enableAudio": true,
"images": [
"image download URL - or file name obtained from /upload endpoint"
],
"elements": [
{
"type": "image",
"images": [
"image download URL - or file name obtained from /upload endpoint"
],
"name": "<string>",
"voices": [
"video download URL - or file name obtained from /upload endpoint"
]
}
]
}
'import requests
url = "https://api2.radinai.com/v2/generation/kling-o3-elements"
payload = {
"prompt": "<your-prompt>",
"enableAudio": True,
"images": ["image download URL - or file name obtained from /upload endpoint"],
"elements": [
{
"type": "image",
"images": ["image download URL - or file name obtained from /upload endpoint"],
"name": "<string>",
"voices": ["video download URL - or file name obtained from /upload endpoint"]
}
]
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
prompt: '<your-prompt>',
enableAudio: true,
images: ['image download URL - or file name obtained from /upload endpoint'],
elements: [
{
type: 'image',
images: ['image download URL - or file name obtained from /upload endpoint'],
name: '<string>',
voices: ['video download URL - or file name obtained from /upload endpoint']
}
]
})
};
fetch('https://api2.radinai.com/v2/generation/kling-o3-elements', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"genId": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Video Generation
Kling O3 Elements
Video Generation (O3 Elements) using Kling O3 Elements, 720p, 1080p or 4K
POST
/
v2
/
generation
/
kling-o3-elements
Kling O3 Elements
Authorizations
API key, obtained from https://radinai.com/manage-api-keys
Query Parameters
Your Webhook URL, if specified, the result of the generation will be POSTed to this URL.
Body
application/json
Maximum string length:
1600Example:
"<your-prompt>"
Available options:
720, 1080, 4k Available options:
3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15 Available options:
1:1, 16:9, 9:16 An array of image names or download URLs - if you don't have a download URL, you can upload the file and get the file name from the /upload endpoint.
Maximum array length:
7Minimum string length:
1elements
(المنت از نوع تصاویر · object | المنت از نوع ویدیو · object | المنت از قبل ساخته شده: این قابلیت در API پشتیبانی نمی شود. · object)[]
Maximum array length:
7- المنت از نوع تصاویر
- المنت از نوع ویدیو
- المنت از قبل ساخته شده: این قابلیت در API پشتیبانی نمی شود.
Show child attributes
Show child attributes
Response
Response for status 200
Last modified on August 1, 2026
⌘I

